Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jndi
Class JndiAccessor

    java.lang.Object
      org.springframework.jndi.JndiAccessor

Direct Known Subclasses:
  JndiLocatorSupport

    public class JndiAccessor

extends java.lang.Object

Convenient superclass for JNDI accessors, providing "jndiTemplate" and "jndiEnvironment" bean properties.

Since:
  1.1
Author:
  Juergen Hoeller
See Also:
  `setJndiTemplate(org.springframework.jndi.JndiTemplate)`, `setJndiEnvironment(java.util.Properties)`

Field Summary
`protected org.apache.commons.logging.Log` | `logger` Logger, available to subclasses.

Constructor Summary
`JndiAccessor()`

Method Summary
`java.util.Properties` | `getJndiEnvironment()` Return the JNDI environment to use for JNDI lookups.
`JndiTemplate` | `getJndiTemplate()` Return the JNDI template to use for JNDI lookups.
`void` | `setJndiEnvironment(java.util.Properties jndiEnvironment)` Set the JNDI environment to use for JNDI lookups.
`void` | `setJndiTemplate(JndiTemplate jndiTemplate)` Set the JNDI template to use for JNDI lookups.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final org.apache.commons.logging.Log logger

  Logger, available to subclasses.

Constructor Detail

### JndiAccessor

    public JndiAccessor()

Method Detail

### setJndiTemplate

    public void setJndiTemplate(JndiTemplate jndiTemplate)

  Set the JNDI template to use for JNDI lookups.

  You can also specify JNDI environment settings via "jndiEnvironment".

  See Also:
    `setJndiEnvironment(java.util.Properties)`

### getJndiTemplate

    public JndiTemplate getJndiTemplate()

  Return the JNDI template to use for JNDI lookups.

### setJndiEnvironment

    public void setJndiEnvironment(java.util.Properties jndiEnvironment)

  Set the JNDI environment to use for JNDI lookups.

  Creates a JndiTemplate with the given environment settings.

  See Also:
    `setJndiTemplate(org.springframework.jndi.JndiTemplate)`

### getJndiEnvironment

    public java.util.Properties getJndiEnvironment()

  Return the JNDI environment to use for JNDI lookups.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD